Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.generator.source.transform
Class AttributeTransformerTest

    java.lang.Object
      org.apache.torque.generator.source.transform.AttributeTransformerTest

    public class AttributeTransformerTest

extends Object

Constructor Summary
`AttributeTransformerTest()`

Method Summary
`void` | `before()`
`void` | `testParseAttribute()`
`void` | `testParseAttributeInTarget()`
`void` | `testParseDefinitionInsideType()`
`void` | `testParseDefinitionInsideValue()`
`void` | `testParseEscapingInDefinition()`
`void` | `testParseEscapingInPlain()`
`void` | `testParseNoOverrideAttribute()`
`void` | `testParseNoOverrideAttributeInSource()`
`void` | `testParseNotEndedDefinition()`
`void` | `testParseOption()`
`void` | `testParseOptionInTarget()`
`void` | `testParseOverrideAttribute()`
`void` | `testParseOverrideAttributeInSource()`
`void` | `testParsePlainInTarget()`
`void` | `testParsePlainText()`
`void` | `testParseSeveralDefinitions()`
`void` | `testUnknownDefinition()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeTransformerTest

    public AttributeTransformerTest()

Method Detail

### before

    public void before()
                throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParsePlainText

    public void testParsePlainText()
                            throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseOption

    public void testParseOption()
                         throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseAttribute

    public void testParseAttribute()
                            throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseOverrideAttribute

    public void testParseOverrideAttribute()
                                    throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseNoOverrideAttribute

    public void testParseNoOverrideAttribute()
                                      throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseEscapingInPlain

    public void testParseEscapingInPlain()
                                  throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseEscapingInDefinition

    public void testParseEscapingInDefinition()
                                       throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseSeveralDefinitions

    public void testParseSeveralDefinitions()
                                     throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseNotEndedDefinition

    public void testParseNotEndedDefinition()
                                     throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseDefinitionInsideType

    public void testParseDefinitionInsideType()
                                       throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseDefinitionInsideValue

    public void testParseDefinitionInsideValue()
                                        throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testUnknownDefinition

    public void testUnknownDefinition()
                               throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParsePlainInTarget

    public void testParsePlainInTarget()
                                throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseOptionInTarget

    public void testParseOptionInTarget()
                                 throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseAttributeInTarget

    public void testParseAttributeInTarget()
                                    throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseNoOverrideAttributeInSource

    public void testParseNoOverrideAttributeInSource()
                                              throws SourceTransformerException

  Throws:
    `SourceTransformerException`

### testParseOverrideAttributeInSource

    public void testParseOverrideAttributeInSource()
                                            throws SourceTransformerException

  Throws:
    `SourceTransformerException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.